* {
    font-family: 'JetBrains Mono', monospace;
}

body {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    margin: 0;
    background-color: #F7E017;
}

.logo-container {
    position: fixed;
    top: 10px;
    left: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 20px;
    text-decoration: none;
    color: inherit;
}

.logo-container p {
    margin-left: 10px;
    font-size: 24px;
    font-weight: bold;
    display: flex;
    align-items: center;
}

.logo {
    width: 50px;
    height: auto;
}

.container {
    text-align: center;
    background: #fff;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    width: 320px;
}

.game-controls {
    margin: 20px 0;
}

input[type="number"] {
    padding: 10px;
    font-size: 16px;
    color: white;
    width: 190px;
    border-radius: 10px;
    border: 0;
    background-color: #3c3c3c;
}

input[type="number"]:hover {
    background-color: #4c4c4c;
}

input[type="number"]::placeholder {
    color: #cbc15f;
}

button {
    padding: 10px 20px;
    font-size: 16px;
    cursor: pointer;
    border-radius: 10px;
    background-color: #F7E017;
    border: 0;
}

button:disabled, #guessButton:disabled:hover {
    background: #ccc;
    cursor: not-allowed;
}

#guessButton:hover, #resetButton:hover {
    background-color: #ffce00;
}

.results {
    margin: 20px 0;
}

#message {
    font-size: 18px;
    margin-bottom: 10px;
}
